Bug 14737 - Can't use cn_browser.pl cataloguing plugin without superlibrarian permissions
Summary: Can't use cn_browser.pl cataloguing plugin without superlibrarian permissions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 13364
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 19:30 UTC by Tomás Cohen Arazi
Modified: 2016-06-21 21:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14737: wrong permissions required for cn_browser.pl plugin (1.57 KB, patch)
2015-08-27 14:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14737: wrong permissions required for cn_browser.pl plugin (1.64 KB, patch)
2015-08-27 15:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14737: wrong permissions required for cn_browser.pl plugin (1.74 KB, patch)
2015-08-28 06:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-08-26 19:30:49 UTC
The plugin requires the following permissions/flags:

flagsrequired   => { tools => 'cn_browser', catalogue => 1 },

and there is no way to set tools > cn_browser.
Comment 1 Tomás Cohen Arazi 2015-08-27 14:39:20 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-08-27 15:23:45 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2015-08-28 06:35:35 UTC
Created attachment 42046 [details] [review]
Bug 14737: wrong permissions required for cn_browser.pl plugin

The cn_browser.pl cataloguing plugin only searches for used callnumbers
on the bibliographic database. There is no need for this plugin to
require special permissions besides access to the catalog.

To test:
- Link the cb_browser.pl cataloguing plugin to 952$o in your favourite cataloguing framework
- Login with a superlibrarian user
- Try the plugin
=> SUCCESS: you can use it
- Login with a user that has the full 'tools' permission
- Try the plugin
=> SUCCSES: you can use it
- Login with a user that doesn't have full 'tools' permission
  but has the normal catalogue and cataloguing permissions.
- Try the plugin
=> FAIL: you are requested to login with a different user
- Apply the patch
- Retry
=> SUCCESS: you can use it
- Sign off :-D

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Tomás Cohen Arazi 2015-08-28 13:25:21 UTC
Fix pushed to master.
Comment 5 Chris Cormack 2015-09-22 01:14:07 UTC
Pushed to 3.20.x will be in 3.20.4